"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createUser = (instance, request, requestBody) => {
    const { user } = request;
    if (!user) {
        return [403, "Access denied"];
    }
    if (typeof requestBody !== "object") {
        return [400, "Bad request"];
    }
    const createUserOptions = requestBody;
    const { username, email } = createUserOptions;
    if (!username && !email) {
        return [400, "Bad request"];
    }
    const createdUser = instance.database.createUser({
        username: createUserOptions.username,
        email: createUserOptions.email,
        enabled: createUserOptions.enabled,
        totp: createUserOptions.totp,
        emailVerified: createUserOptions.emailVerified,
        firstName: createUserOptions.firstName,
        lastName: createUserOptions.lastName,
        attributes: createUserOptions.attributes,
        credentials: createUserOptions.credentials,
    });
    return [200, { id: createdUser.profile.id }];
};
exports.default = createUser;
